XIncludeException (XOM 1.2.4 API)
Date: 2009-12-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom.xinclude
Class XIncludeException

    Object
      Throwable
          Exception
              nu.xom.xinclude.XIncludeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BadEncodingAttributeException, BadHrefAttributeException, BadHTTPHeaderException, BadParseAttributeException, InclusionLoopException, MisplacedFallbackException, NoIncludeLocationException

    public class XIncludeException

extends Exception

The generic superclass for all checked exceptions that may be thrown as a result of a violation of XInclude's rules.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`XIncludeException(String message)` Constructs an `XIncludeException` with the specified detail message.
`XIncludeException(String message, String uri)` Creates a new `XIncludeException` with a detail message, line and column numbers, and the URI of the document that caused the exception.
`XIncludeException(String message, Throwable cause)` Constructs an `XIncludeException` with the specified detail message and initial cause.

Method Summary
`Throwable` | `getCause()` When an `IOException`, `MalformedURLException`, or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`.
`String` | `getURI()` Returns the URI of the document that caused this exception.
`Throwable` | `initCause(Throwable cause)` When an `IOException`, `MalformedURLException`, or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`.

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XIncludeException

    public XIncludeException(String message)

  Constructs an `XIncludeException` with the specified detail message.

  Parameters:
    `message` - a string indicating the specific problem

### XIncludeException

    public XIncludeException(String message,
                             Throwable cause)

  Constructs an `XIncludeException` with the specified detail message and initial cause. The error message string `message` can later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `message` - a string indicating the specific problem
    `cause` - the initial cause of the exception

### XIncludeException

    public XIncludeException(String message,
                             String uri)

  Creates a new `XIncludeException` with a detail message, line and column numbers, and the URI of the document that caused the exception.

  Parameters:
    `message` - a string indicating the specific problem
    `uri` - the URI of the document that caused this exception

Method Detail

### getURI

    public String getURI()

  Returns the URI of the document that caused this exception. If the URI is not known, null is returned.

  Returns:
    URI of the document where the exception occurred

### getCause

    public Throwable getCause()

  When an `IOException`, `MalformedURLException`, or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`. This method allows you to retrieve the original exception. It returns null if no such exception caused this `XIncludeException`.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the underlying exception which caused this XIncludeException to be thrown

### initCause

    public Throwable initCause(Throwable cause)

  When an `IOException`, `MalformedURLException`, or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`. This method allows you to store the original exception.

  Overrides:
    `initCause` in class `Throwable`
  Parameters:
    `cause` - the root cause of this exception
  Returns:
    this `XIncludeException`
  Throws:
    `IllegalArgumentException` - if the cause is this exception (An exception cannot be its own cause.)
    `IllegalStateException` - if this method is called twice

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2009 Elliotte Rusty Harold
elharo@ibiblio.org